Author Archives: cweiske

PEAR server fully restored

The pear.php.net server has been fully restored after we had to witness a fatal hard drive crash on 2015-11-29. Our server sponsor eUKhost quickly provided us with a new machine after we told them the old had failed, and the … Continue reading

Posted in Announcements, Group Blog | Tagged | 3 Comments

Server outage 90% resolved

A short notice: Our pear.php.net replacement server is about 90% setup. What’s currently missing: manual API documentation old package files released more than 6 years ago pear2.php.net

Posted in Announcements | Tagged | 2 Comments

PEAR 1.10.1 fixes nasty bugs and improves BC

PEAR 1.10.1 fixes two bugs: #20968: Infinite loop when using the old PEAR constructor (which some other packages do) #20959: Crash on channel discovery with channel.xml redirect We also re-added the PHP4-style constructor for PEAR_Error for backwards compatibility reasons – … Continue reading

Posted in Announcements | 1 Comment

PEAR 1.10.0 with PHP7 support is out

After a year of development, PEAR version 1.10.0 has been released. It works on PHP7 and is E_DEPRECATED and E_STRICT compatible. Apart from those big changes, a number of annoying bugs have been fixed and some features implemented – have … Continue reading

Posted in Uncategorized | Comments Off on PEAR 1.10.0 with PHP7 support is out

PEAR 1.10.0dev3 is out

PEAR 1.10.0dev3 – the probably last pre-release version before PEAR 1.10.0 stable appears – has been released. It fixes the following bugs: #20507: pear list-upgrades does not take PHP version into account [cweiske] #20927: Use correct php-config [cweiske] #20946: PEAR_Builder::log() … Continue reading

Posted in Announcements | Comments Off on PEAR 1.10.0dev3 is out

PEAR 1.10.0dev1 brings PHP 7 compatibility!

We’ve released PEAR installer version 1.10.0dev1, which brings support for PHP 7 while dropping support for PHP 4 – 5.3. See the announcement post @ cweiske.de for more information.

Posted in Uncategorized | 1 Comment

Security Vulnerability Announcement

A vulnerability in the HTML_AJAX package has been found which allows arbitrary remote code execution. All versions of the package from 0.4.0 up to and including release 0.5.6 are affected by this. An new release of the package is available … Continue reading

Posted in Uncategorized | Comments Off on Security Vulnerability Announcement

PEAR 1.9.5 is out

The PEAR installer version 1.9.5 has been released today. The new version – three years after the last stable 1.9.4 and 2 weeks after the preview – is a bugfix only release. 13 bugs have been fixed. Among them are … Continue reading

Posted in Announcements | Comments Off on PEAR 1.9.5 is out

PEAR 1.9.5dev1 released

I’ve just released a preview of the upcoming PEAR installer version 1.9.5: PEAR 1.9.5dev1. Version 1.9.5 will be the first release of the PEAR installer since 3 years, and thus needs quite some testing before declaring it stable. Instead of … Continue reading

Posted in Uncategorized | 2 Comments

Google code channels work again

The recent problems regarding the usage of PEAR channels hosted in google code SVN repositories has been fixed on both sides! PEAR 1.9.1 is out! Continue reading

Posted in Uncategorized | Tagged , , , | Comments Off on Google code channels work again